using Managing.Domain.Workflows;
using Managing.Domain.Workflows.Synthetics;

namespace Managing.Application.Abstractions;

public interface IWorkflowService
{
    bool DeleteWorkflow(string name);
    Task<IEnumerable<IFlow>> GetAvailableFlows();
    IEnumerable<SyntheticWorkflow> GetWorkflows();
    Task<Workflow> InsertOrUpdateWorkflow(SyntheticWorkflow workflowRequest);
}
